Skip to main content
`Ctrl`+`K`

# DMSetRegionNumDS

Set the `PetscDS` for a given mesh region, defined by the region number

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetRegionNumDS(DM dm, PetscInt num, DMLabel label, IS fields, PetscDS ds, PetscDS dsIn)

Not Collective

## Input Parameters

- dm - The `DM`

- num - The region number, in [0, Nds)

- label - The region label, or `NULL`

- fields - The `IS` containing the `DM` field numbers for the fields in this `PetscDS`, or `NULL` to prevent setting

- ds - The `PetscDS` defined on the given region, or `NULL` to prevent setting

- dsIn - The `PetscDS` for input on the given cell, or `NULL` if it is the same `PetscDS`

## See Also

DM Basics, `DM`, `DMGetRegionDS()`, `DMSetRegionDS()`, `DMGetDS()`, `DMGetCellDS()`

## Level

advanced

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages